package com.mortals.xhx.feign;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author liaozimu
 * @Date: 2021-09-2021/9/7-16:52
 * @Description:
 */
@FeignClient(value = "elasticsearch-manager")
public interface ElasticsearchClient {


    @RequestMapping(value = "/elasticsearch/queryEla", method = RequestMethod.GET)
    public JSONObject queryEla(@RequestParam(required = false) int currPage, @RequestParam(required = false) int prePageResult);
}
