package com.mortals.xhx.modules.data.service.impl;

import com.mortals.framework.service.impl.AbstractCRUDCacheServiceImpl;
import com.mortals.xhx.common.pdu.ApiRespPdu;
import com.mortals.xhx.modules.data.dao.DataAreaDao;
import com.mortals.xhx.modules.data.model.DataAreaEntity;
import com.mortals.xhx.modules.data.service.DataAreaService;
import org.springframework.stereotype.Service;


/**
* <p>Title: 地区表</p>
* <p>Description: DataAreaService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/
@Service("dataAreaService")
public class DataAreaServiceImpl extends AbstractCRUDCacheServiceImpl<DataAreaDao, DataAreaEntity, Long> implements DataAreaService {

    @Override
    public ApiRespPdu queryArea(Long id) {
        return dao.queryArea(id);
    }
}