package com.mortals.xhx.common.code;

import org.springframework.beans.factory.annotation.Value;

/**
 * @author: coder wxy
 * @date: 2020-12-21
 * @description: 系统常量
 */
public class SystemConstant {

    public static final String SUCCESS_CODE = "0";

    //这里为动态，根据接口和编码来指定
    /**
     * 比如：成都申请了统一平台：编码未1111
     *       接口为3个：http://59,http://59,http://59
     *       可用5101 -》1111  和三个接口
     */
    @Value("#{interface.sysInterface.openCode}")
    public static final String SYS_CODE = "XXXXX";

    public static final int DAYS = 10;  //天数

    public static boolean BEOR = true; //是否前后,true 只往前  false 前后days天



}
