package com.mortals.xhx.modules.supplement.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.common.pdu.ApiRespPdu;
import com.mortals.xhx.modules.supplement.model.SupplementEntity;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.BufferedInputStream;

/**
* <p>Title: 办件补录表</p>
* <p>Description: SupplementService service接口 </p>
* <p>Copyright: Copyright &reg;  </p>
* @version 1.0.0
*/

public interface SupplementService extends ICRUDService<SupplementEntity,Long>{

    //从缓存中获得文件地址后读取后的文件流
    ApiRespPdu importOfficeInformation(BufferedInputStream file,String sysCode);


}